Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1335163 - Add fork subcommand to Copr CLI
Summary: Add fork subcommand to Copr CLI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: cli
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 13:14 UTC by Dominic Cleal
Modified: 2017-01-05 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-05 17:19:21 UTC


Attachments (Terms of Use)

Description Dominic Cleal 2016-05-11 13:14:49 UTC
Description of problem:
It would be useful to be able to fork a project from the CLI, making it possible to script the process.

Steps to Reproduce:
1. `copr create --fork @another/project domcleal/project` or similar

Comment 1 Jakub Kadlčík 2016-05-29 19:47:53 UTC
Modified in: 589adb2

But it will have slightly different usage:

copr-cli fork <user>/foo <user>/bar

If project bar already exists, you will be asked to add --confirm argument that you are aware about forking into existing project.

copr-cli fork <user>/foo <user>/bar --confirm

Comment 2 Fedora Update System 2016-05-30 14:59:23 UTC
python-copr-1.70-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-769b258a92

Comment 3 Fedora Update System 2016-05-30 14:59:29 UTC
python-copr-1.70-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7531bb45d2

Comment 4 Fedora Update System 2016-05-30 14:59:37 UTC
python-copr-1.70-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-14c6d04e21

Comment 5 Fedora Update System 2016-05-30 14:59:43 UTC
python-copr-1.70-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bcc2133857

Comment 6 Fedora Update System 2016-05-30 14:59:50 UTC
python-copr-1.70-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1bfdd0d1f6

Comment 7 Fedora Update System 2016-05-31 03:53:45 UTC
python-copr-1.70-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bcc2133857

Comment 8 Fedora Update System 2016-05-31 07:16:56 UTC
python-copr-1.70-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7531bb45d2

Comment 9 Fedora Update System 2016-05-31 07:20:34 UTC
python-copr-1.70-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1bfdd0d1f6

Comment 10 Fedora Update System 2016-05-31 09:53:21 UTC
python-copr-1.70-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-14c6d04e21

Comment 11 Fedora Update System 2016-05-31 10:27:38 UTC
python-copr-1.70-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-769b258a92

Comment 12 clime 2016-06-03 14:32:21 UTC
New COPR version was released.

Comment 13 Fedora Update System 2016-06-03 21:53:39 UTC
python-copr-1.70-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-15 23:21:31 UTC
python-copr-1.70-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-18 18:54:48 UTC
python-copr-1.70-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-07-01 14:14:16 UTC
python-copr-1.72-1.el6 copr-cli-1.53-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2c82f93c94

Comment 17 Fedora Update System 2016-07-01 14:14:40 UTC
python-copr-1.72-1.el7 copr-cli-1.53-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02b2cdcf6c

Comment 18 Fedora Update System 2016-07-02 20:17:05 UTC
copr-cli-1.53-1.el6, python-copr-1.72-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2c82f93c94

Comment 19 Fedora Update System 2016-07-02 20:20:53 UTC
copr-cli-1.53-1.el7, python-copr-1.72-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-02b2cdcf6c

Comment 20 Fedora Update System 2016-08-17 14:35:20 UTC
python-copr-1.73-1.el7 copr-cli-1.55-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69e998691e

Comment 21 Fedora Update System 2016-08-17 14:36:05 UTC
python-copr-1.73-1.el6 copr-cli-1.55-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01782b9121

Comment 22 Fedora Update System 2016-08-18 04:18:43 UTC
copr-cli-1.55-1.el7, python-copr-1.73-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-69e998691e

Comment 23 Fedora Update System 2016-08-18 04:19:03 UTC
copr-cli-1.55-1.el6, python-copr-1.73-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01782b9121

Comment 24 clime 2016-08-18 16:24:42 UTC
New Copr has been released.

Comment 25 Fedora Update System 2016-09-23 10:48:45 UTC
copr-cli-1.57-1.el6, python-copr-1.74-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac91d6a1fa

Comment 26 Fedora Update System 2016-09-28 16:20:13 UTC
copr-cli-1.57-1.el7, python-copr-1.74-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0e6ea050dd

Comment 27 Fedora Update System 2016-12-02 09:22:59 UTC
python-copr-1.75-1.el6 copr-cli-1.58-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 28 Fedora Update System 2016-12-03 11:18:39 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6ae237efcc

Comment 29 Fedora Update System 2017-01-05 17:19:21 UTC
copr-cli-1.58-1.el6, python-copr-1.75-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.